const express = require("express");
const path = require("path");
const bodyParser = require("body-parser");
const app = express();
const expressHandleBars = require("express-handlebars");
const weatherRoutes = require("./routes/weather");

app.use(express.static("public"));
app.use(bodyParser.urlencoded({ extended: true }));
const hbs = expressHandleBars.create({
  defaultLayout: "main",
  layoutsDir: path.join(__dirname, "views/layouts"),
  helpers: {
    isnull: function (value) {
      return value !== null;
    },
  },
});
app.engine("handlebars", hbs.engine);
app.set("view engine", "handlebars");
app.use("/weather", weatherRoutes);

const startApplication = () => {
  app.listen(8000, () => {
    console.log("application is runnig...");
  });
};

module.exports = startApplication;
