const express = require("express");
const routes = express.Router();
const axios = require("axios");

const apiKey = "*********";
routes.get("/", function (req, res) {
  res.render("home", { weather: null, error: null });
});

routes.post("/", function (req, res) {
  let city = req.body.city;
  let url = `http://api.openweathermap.org/data/2.5/weather?q=${city}&units=metric&appid=${apiKey}`;
  axios
    .post(url)
    .then((weather) => {
      if (weather.data.main == undefined) {
        res.render("home", {
          weather: null,
          error: "Error, please try again",
        });
      } else {
        let weatherText = `It's ${weather.data.main.temp} degrees in ${weather.data.name}!`;
        res.render("home", { weather: weatherText, error: null });
      }
    })
    .catch(function (error) {
      res.render("home", { weather: null, error: "Error, please try again" });
      console.log(error);
    });
});
module.exports = routes;
